---
title: Via
slug: Web/HTTP/Headers/Via
tags:
  - HTTP
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Via</strong></code> general header is added by proxies, both forward and reverse proxies, and can appear in the request headers and the response headers. It is used for tracking message forwards, avoiding request loops, and identifying the protocol capabilities of senders along the request/response chain.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("General header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Via: [ &lt;protocol-name&gt; "/" ] &lt;protocol-version&gt; &lt;host&gt; [ ":" &lt;port&gt; ]
or
Via: [ &lt;protocol-name&gt; "/" ] &lt;protocol-version&gt; &lt;pseudonym&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;protocol-name&gt;</dt>
 <dd>Optional. The name of the protocol used, such as "HTTP".</dd>
 <dt>&lt;protocol-version&gt;</dt>
 <dd>The version of the protocol used, such as "1.1".</dd>
 <dt>&lt;host&gt; and &lt;port&gt;</dt>
 <dd>Public proxy URL and port.</dd>
 <dt>&lt;pseudonym&gt;</dt>
 <dd>Name/alias of an internal proxy.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Via: 1.1 vegur
Via: HTTP/1.1 GWA
Via: 1.0 fred, 1.1 p.example.net
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7230", "Via", "5.7.1")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Via")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("X-Forwarded-For")}}</li>
 <li><a href="https://github.com/heroku/vegur">Heroku's proxy library Vegur</a></li>
</ul>
